#!/bin/bash

source $(dirname $0)/utils.sh

function first_stage(){
	echo foo first_stage
	
	if [[ ! -e /root/disk.img ]]; then
	
		echo creating image file
		dd if=/dev/zero of=/root/disk.img bs=1M count=512
		LODEV=$(losetup --show -f /root/disk.img)
		(
		echo o # Create a new empty DOS partition table
		echo n # Add a new partition
		echo p # Primary partition
		echo 1 # Partition number
		echo   # First sector (Accept default: 1)
		echo   # Last sector (Accept default: varies)
		echo w # Write changes
		) | fdisk ${LODEV}
		losetup -d ${LODEV}
	
	fi
	
	LODEV=$(losetup --show -fP /root/disk.img)

	echo using device $LODEV
	echo mount divice to $TARGET
	echo mkfs.ext4 ${LODEV}p1
	mkfs.ext4 ${LODEV}p1
	mount ${LODEV}p1 $TARGET
	echo mount ${LODEV}p1 $TARGET
	echo debootstrap sid $TARGET
	
}

function second_stage(){
	echo bar second_stage
}

function test_fun(){
	#choose_one test1 | prefix_time
	#sleep 1
	block_devices | choose_one - 
	echo "> "$test
	#sleep 1
	#choose_one | prefix_time
}

if [ $# -eq 1 ]; then
	if [ $1 = "test" ]; then
		test_fun
	fi
fi
